# nerve-led-controler

Skript to control LEDs on the MFN.

## Installation

The script runs on the fogOS, **not** on the Switch.

Copy the following files:

```
cp led-control.py /usr/local/bin/
chmod a+rx /usr/local/bin/led-control.py
cp leds-mfn100.yaml /etc/leds.yaml
cp led-control.service /usr/lib/systemd/system/
```

Enable (and start) the service:

```
systemctl enable led-control
systemctl start led-control
```

### Local installation

**NOTE:** Not yet complete.

```
apt-get install python3-dev libcairo2-dev libgirepository1.0-dev
```

Then, in a virtualenv, run:

```
pip install -r requirements.txt
```

### Configure switch and access to it

See switch directory (with extra README.md) to configure the switch.

## LED status

[This confluence page](https://confluence.tttech.com/display/NER/10.1+MFN+100+Hardware+Reference)
is the authoritative source.


| LED      | color | meaning                              |
|----------|-------|--------------------------------------|
| Status   | off   | Device not operational or booting.   |
| Status   | green | Device is operational.               |
| Function | off   | Soft PLC (= codesys) is not running. |
| Function | green | Soft PLC (= codesys) is running.     |

## Basic design

* A daemon running in the MFN host OS.
* Sets LEDs either via switch or locally.

  * Can we detect mode of operation dynamically?
  * If not, we need a config file.

* Checks if codesys is running.
* Depending on codesys Status, set LEDs accordingly.

TODO:

* Find out exact meaning of LEDs.

## See also

* https://confluence.tttech.com/display/NER/User+Guide#UserGuide-EnablingandDisablingofLEDControl
* https://confluence.tttech.com/display/NER/MFN-100+%28TSN%29+Switch
* https://confluence.tttech.com/pages/viewpage.action?pageId=21523154#FrequentlyAskedQuestions(FAQs)-WhyaretheLEDsonmyMFN-100notworking?
*  https://confluence.tttech.com/display/NER/10.1+MFN+100+Hardware+Reference
