#!/bin/sh
#
# MFN-100 Switch configuration script.
#
# Revision:
#   03-Aug-2017 (SZU) []: Initial version.
#

CFG_FILE_PATH=/media/data
CFG_FILE_NAME=mfn_sw_cfg.sh
CFG_FILE=$CFG_FILE_PATH/$CFG_FILE_NAME

LED_S_G=475
LED_S_R=483

CFG=0

LED_CTRL_FILE=/var/local/led_ctrl
LED_CTRL=$(if [ -e $LED_CTRL_FILE ]; then cat $LED_CTRL_FILE; else echo "1";fi)

# $1: GPIO number, $2: value to be set
set_led() {
 if [ "$LED_CTRL" -eq "1" ]; then
  echo "$2" > /sys/class/gpio/gpio$1/value
 fi
}

while [ $CFG -eq 0 ];
do
 if [ -f $CFG_FILE ]; then
  sh $CFG_FILE
  if [ $? -eq 0 ]; then
   echo "MFN-100 configured successfully." > /dev/console
   CFG=1
  else
   echo ">ERR: Congfiguring MFN-100 failed ($?)." > /dev/console
   mv $CFG_FILE ${CFG_FILE}.failed
   # blink yellow
   set_led $LED_S_G 1
   set_led $LED_S_R 1
   sleep 0.5
   set_led $LED_S_G 0
   set_led $LED_S_R 0
   sleep 0.5
   set_led $LED_S_G 1
   set_led $LED_S_R 1
   sleep 0.5
   set_led $LED_S_G 0
   set_led $LED_S_R 0
  fi
 fi
 sleep 1
done

# set green status LED ON
set_led $LED_S_G 1
