#!/bin/sh

LED_F_G=480
LED_F_R=481
LED_S_G=475
LED_S_R=483

# XXX: is this the correct value!?!?
LED_BG=490

LED_CTRL_FILE=/var/local/led_ctrl
LED_CTRL=$(if [ -e $LED_CTRL_FILE ]; then cat $LED_CTRL_FILE; else echo "1";fi)

# $1: GPIO number, $2: value to be set
set_led() {
 echo "$2" > /sys/class/gpio/gpio$1/value
}

# disable LED control so only this script sets values
if [ ! -e $LED_CTRL_FILE ]; then
 echo "0" > $LED_CTRL_FILE
fi

# set up the LED BG, not yet done in init script...
if [ ! -e /sys/class/gpio/gpio$LED_BG/direction ]; then
 echo "$LED_BG" > /sys/class/gpio/export
 echo "out" > /sys/class/gpio/gpio$LED_BG/direction
fi

set_led $LED_F_G 1
set_led $LED_F_R 1
set_led $LED_S_G 1
set_led $LED_S_R 1

set_led $LED_BG 1

echo ">>> ALL LEDs ON <<<" > /dev/console
